:root {
  --dl-color-custom-neutral-light: #FFFFFF;
  --blue-login--: rgba(1, 122, 183, 1);
  --blue-login-2--: rgba(4, 102, 151, 1);
}

body {
  background: linear-gradient(180deg, #FFFFFF 0%, #F3FBFF 100%) !important;
  overflow-x: hidden;
  overflow-y: auto;
}

.text-blue {
  color: var(--blue-login--);
}

.h1-login {
  font-size: 30px;
  max-width: 330px;
  font-weight: 700;
  color: var(--color-primary--);
}

.auth-container {
  width: 100%;
  display: flex;
  overflow: auto;
  min-height: 100vh;
  align-items: flex-start;
  flex-direction: column;
  justify-content: flex-start;
}

.auth-wrapper {
  width: 100%;
  min-height: 100vh;
  display: flex;
  overflow-x: hidden;
}

.auth-hero,
.auth-content {
  width: 50%;
}

.auth-hero {
  flex: 0 0 auto;
  height: 100vh;
  display: flex;
  align-items: center;
  flex-direction: column;
  background-size: cover;
  background-image: url("/assets/images/login-image-hero.png");
  background-repeat: no-repeat;
  background-position: right bottom;
}

.auth-content {
  position: relative;
  height: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  gap: 42px;
  padding-top: 70px;
  margin-top: 55px;
}

.compass {
  position: absolute;
  top: -240px;
  right: -180px;
}

.compass img {
  width: 430px;
  opacity: 0.06;
}

.auth-content>* {
  max-width: 441px;
}

.auth-logo-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: flex-start;
}

.auth-logo-wrapper img {
  max-width: 233px;
}

.auth-logo-wrapper h1 {
  margin-top: 42px;
}

.auth-logo {
  object-fit: cover;
}

.auth-form-container {
  width: 100%;
  display: flex;
  position: relative;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.auth-form-container .input-wrapper:hover,
.auth-form-container .input-wrapper:focus-within {
  border-color: rgba(1, 122, 183, 1) !important;
}

.auth-form {
  width: 100%;
  height: auto;
  display: flex;
  gap: 30px;
  flex-direction: column;
}

.login-footer {
  width: 441px;
  height: 121px;
  padding-top: 50px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  font-weight: 400;
  font-size: 13px;
}

.login-footer .copyright-notice {
  margin-top: 20px;
}

.btn-login {
  color: var(--dl-color-custom-neutral-light);
  border-width: 0px;
  background-color: var(--blue-login--);
  padding: 11px 20px;
  border-radius: 8px;
  font-weight: 600;
  font-size: 15px;
  transition: all 0.15s ease;
  cursor: pointer;
}

.btn-login:hover {
  background-color: var(--blue-login-2--);
}

.auth-register-prompt {
  flex: 0 0 auto;
  width: 100%;
  height: 100%;
  display: flex;
  position: relative;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.auth-register-list-wrapper {
  flex: 0 0 auto;
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.auth-register-list {
  display: flex;
  flex-direction: row;
  text-align: center;
  justify-content: space-between;
}

ul.auth-register-list {
  padding: 0;
  width: 100%;
}

ul.auth-register-list a:link {
  transition: all 0.15s ease;
  color: var(--color-primary--);
}

ul.auth-register-list a:hover {
  color: var(--blue-login--);
}

.auth-register-item {
  list-style-type: none;
}

.auth-register-item.separator {
  color: rgba(221, 224, 230, 1);
}

@media(max-width: 1024px) {
  .auth-hero {
    display: none;
  }

  .auth-content {
    width: 100%;
  }
}

@media(max-width: 430px) {
  .auth-wrapper {
    display: block;
  }

  .auth-content {
    width: unset;
    padding-left: 20px;
    padding-right: 20px;
  }

  .compass {
    top: -150px;
    right: -90px;
  }

  .compass img {
    width: 240px;
  }
}